cURL
curl -X GET 'https://api.fitsociety.io/public/v1/n8n/accounting/webhooks/66f7b8b1e13c8d25f4d3d90a' -H 'Authorization: Bearer <n8n_access_token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/n8n/accounting/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/n8n/accounting/webhooks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "66f7b8b1e13c8d25f4d3d90a",
"url": "https://example.com",
"events": [
"invoice.created"
],
"status": "active",
"signingKeyHash": "string"
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Webhooks
Read an owned n8n webhook subscription
Requires an active n8n accounting connection for the authenticated company, attributed company consent and n8n provider access. The token and current grant must both include the required financial scope. Health-data and private-communication consent are not required. Only subscriptions containing exactly [invoice.created] are visible or manageable; mixed-event and other-provider subscriptions are excluded. Other providers cannot use these endpoints. Requires finance_invoice_webhooks:read. Unknown, inactive, or another connection’s subscription returns 404.
GET
/
public
/
v1
/
n8n
/
accounting
/
webhooks
/
{id}
cURL
curl -X GET 'https://api.fitsociety.io/public/v1/n8n/accounting/webhooks/66f7b8b1e13c8d25f4d3d90a' -H 'Authorization: Bearer <n8n_access_token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/n8n/accounting/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/n8n/accounting/webhooks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "66f7b8b1e13c8d25f4d3d90a",
"url": "https://example.com",
"events": [
"invoice.created"
],
"status": "active",
"signingKeyHash": "string"
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}